%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_minor 20

%global py_major	3.9

%global python_major python%{py_major}

%global pkgname certifi 

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:	2023.7.22
Release:	1
Summary:        Python package for providing Mozilla's CA Bundle 
License:        MPLv2.0 
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/c/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}.%{py_minor}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}


%description
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

Please note that this Fedora package does not actually include a certificate
collection at all. It reads the system shared certificate trust collection
instead. For more details on this system, see the ca-certificates package.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:	python3 >= 3.9.20
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build
#nothing to build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
pip%{py_major} install . --root %{buildroot} -I --no-deps


%check
%if %{with dotests}

#python3 -m venv python_venv
#. ./python_venv/bin/activate
#pip3 install pytest
#pip3 install hypothesis
#ulimit -d unlimited
#ulimit -n unlimited
#ulimit -m unlimited
# ulimit -f unlimited
#( python runtests.py -m 'full' -v || true )
#deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%license LICENSE
%doc README.rst PKG-INFO
%{python3_sitearch}/*

%files -n %{meta_package}
%defattr(-,root,system,-)


%changelog
* Fri Jan 03 2025 Reshma V Kumar <reskumar@in.ibm.com> - 2023.7.22-1 
- Update to version 2023.7.22

* Mon Jan 09 2023 Sangeetha Bandi<sanbandi@in.ibm.com> - 2019.9.11-2
- certifi for Python3.9

* Sat Nov 16 2019 Baanu Tumma <btumma15@in.ibm.com> - 2019.9.11
- First version for AIX, built using python3
